/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.vutbr.feec.utko.fojtoval.krypto.doc;

import cz.vutbr.feec.utko.fojtoval.krypto.windows.NavrhView;
import java.net.URL;
import javax.help.HelpBroker;
import javax.help.HelpSet;

/**
 *
 * @author fojtoval
 */
public class Napoveda {

    public static HelpBroker showHelp() {

        HelpSet hs = new HelpSet();
        ClassLoader cl = NavrhView.class.getClassLoader();
        try {
            URL url = HelpSet.findHelpSet(cl, "cz/vutbr/feec/utko/fojtoval/krypto/doc/napoveda.hs");
            //URL url = HelpSet.findHelpSet(cl, "napoveda.hs");
            hs = new HelpSet(cl, url);
            //cz/vutbr/feec/utko/fojtoval/krypto/doc/
        }
        catch (Exception ee) {
            System.out.println( "HelpSet " + ee.getMessage());
            System.out.println("HelpSet napoveda.hs not found");
            //return(-1);
        }
        catch (ExceptionInInitializerError ex) {
            System.err.println("initialization error:");
            ex.getException().printStackTrace();
            //return;
        }
        return(hs.createHelpBroker());
        //HelpBroker hb = hs.createHelpBroker();
    }

}
